/******************** (C) COPYRIGHT 2014 jasys GmbH & Co. KG *******************/


#ifndef C000000EC
#define C000000EC

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdint.h>

#define C000000BA 2
#define C000000BB 3
#define C000000BC 4

typedef enum
{
  eEmgRetOK,
  eEmgRetNotFound,
  eEmgRetOutOfRange,
  eEmgRetChanged,
  eEmgRetCnt
} eEmgReturnCodes_t;

extern uint8_t g_u8Language;

void C000000AC ( uint16_t C000000AD, uint16_t C000000AE,
    uint32_t C000000AF, uint8_t C000000B0 );
void C000000CC ( uint16_t C000000A3, uint16_t C000000A5, uint16_t C000000A4, uint16_t C000000A6,
    uint32_t C000000AF, uint8_t C000000B0 );
void C000000D7 ( uint16_t C000000D8, uint16_t C000000D9, uint16_t C000000DA, uint16_t C000000DB,
    uint32_t C000000AF, uint8_t C000000B0 );
void C000000E5 ( uint16_t C000000D8, uint16_t C000000D9, uint16_t C000000E6,
    uint32_t C000000AF, uint8_t C000000B0 );
uint32_t C000000B2 ( uint16_t C000000B3 );
int32_t C000000B5 ( uint16_t C000000B3 );
void C000000B7 ( uint8_t C000000B8, uint16_t C000000B9,
    uint16_t u16Value );

eEmgReturnCodes_t C000000BD ( uint32_t C000000BE,
    uint8_t C000000BF, uint8_t u8_ExecuteAction );
eEmgReturnCodes_t EmgUpdateControlOnActivePage ( uint16_t u16_ControlNo,
    uint8_t u8_ControlIsPressed, uint8_t u8_ExecuteAction );
eEmgReturnCodes_t EmgSelectControlOnActivePage ( uint16_t u16_ControlNo,
    uint8_t u8_IsSelected );
eEmgReturnCodes_t EmgCheckUpdatesForActivePage ( uint16_t u16_TouchPositionX,
    uint16_t u16_TouchPositionY, uint8_t u8_TouchIsPressed );
eEmgReturnCodes_t EmgShowPage ( uint16_t u16_PageNo );
uint16_t EmgGetActivePageNo ( void );
uint16_t C000000CB ( void );
uint32_t C000000C0 ( void );
uint32_t C000000C1 ( uint16_t C000000C2 );


void C000000C9 ( uint32_t C000000BE );

#ifdef __cplusplus
}
#endif

#endif 
