/*
 * EMG_IO.h
 *
 *  Created on: 24.01.2014
 *      Author: joerg
 */

#ifndef EMG_IO_H_
#define EMG_IO_H_

#include <stdint.h>
#include <stdio.h>

#define EMG_SELECTION_COLOR 0xF0F0

extern uint8_t *g_au8Data;
extern uint8_t *g_au8Font;
extern uint8_t *g_au8String;
extern uint8_t *g_au8Image;
extern uint8_t g_u8DisplayType; // see DisplayTypes_t
//extern uint32_t *g_au32Canvas;
extern uint32_t g_u32Sizes[4]; // Data, Font, String, Image

// External functions, called by libraray
uint8_t EMG_GETD_U8 ( uint32_t u32Adr );
uint16_t EMG_GETD_U16 ( uint32_t u32Adr );
uint32_t EMG_GETD_U32 ( uint32_t u32Adr );

uint8_t EMG_GETF_U8 ( uint32_t u32Adr );
uint16_t EMG_GETF_U16 ( uint32_t u32Adr );
uint32_t EMG_GETF_U32 ( uint32_t u32Adr );

uint8_t EMG_GETS_U8 ( uint32_t u32Adr );
uint16_t EMG_GETS_U16 ( uint32_t u32Adr );
uint32_t EMG_GETS_U32 ( uint32_t u32Adr );

uint8_t EMG_GETI_U8 ( uint32_t u32Adr );
uint16_t EMG_GETI_U16 ( uint32_t u32Adr );
uint32_t EMG_GETI_U32 ( uint32_t u32Adr );

uint32_t EmgGetPixel ( uint16_t u16X, uint16_t u16Y );
void EmgPutPixel ( uint16_t u16X, uint16_t u16Y, uint32_t u32Color );
void EmgCls ( uint32_t u32Color );

void EmgTouchHandler ( uint16_t u16X, uint16_t u16Y, uint8_t u8NewState );

#endif /* EMG_IO_H_ */
